import React, {Component} from 'react';
import {AutoComplete} from 'ola-ui';
import {bind} from 'ola-toolkit';

function onSelect(value) {
  console.log('onSelect', value);
}

export default class Basic extends Component {

  state = {
    dataSource: [],
  };

  @bind
  handleSearch(value) {
    this.setState({
      dataSource: !value ? [] : [
        value,
        value + value,
        value + value + value,
      ],
    });
  };

  render() {
    const {dataSource} = this.state;
    return (
      <AutoComplete
        dataSource={dataSource}
        style={{width: 200}}
        onSelect={onSelect}
        onSearch={this.handleSearch}
        placeholder="input here"
      />
    );
  }
}
