import React, {Component} from 'react';
import {AutoComplete, Input} from 'ola-ui';
import {bind} from 'ola-toolkit';

const {TextArea} = Input;

function onSelect(value) {
  console.log('onSelect', value);
}

export default class Custom extends React.Component {

  state = {
    dataSource: [],
  };

  @bind
  handleSearch(value) {
    this.setState({
      dataSource: !value ? [] : [
        value,
        value + value,
        value + value + value,
      ],
    });
  }

  handleKeyPress(ev) {
    console.log('handleKeyPress', ev);
  }

  render() {
    const {dataSource} = this.state;
    return (
      <AutoComplete
        dataSource={dataSource}
        style={{width: 200}}
        onSelect={onSelect}
        onSearch={this.handleSearch}
      >
        <TextArea
          placeholder="input here"
          className="custom"
          style={{height: 50}}
          onKeyPress={this.handleKeyPress}
        />
      </AutoComplete>
    );
  }
}
