import React, {Component} from 'react';
import {AutoComplete} from 'ola-ui';
import {bind} from 'ola-toolkit';

const Option = AutoComplete.Option;

export default class DataSource extends Component {

  state = {
    result: [],
  };

  @bind
  handleSearch(value) {
    let result;
    if (!value || value.indexOf('@') >= 0) {
      result = [];
    } else {
      result = ['gmail.com', '163.com', 'qq.com'].map(domain => `${value}@${domain}`);
    }
    this.setState({result});
  }

  render() {
    const {result} = this.state;
    const children = result.map((email) => {
      return <Option key={email}>{email}</Option>;
    });
    return (
      <AutoComplete
        style={{width: 200}}
        onSearch={this.handleSearch}
        placeholder="input here"
      >
        {children}
      </AutoComplete>
    );
  }
}
