import React, {Component} from 'react';
import {Button} from 'ola-ui';
import {bind} from 'ola-toolkit';

export default class Loading extends Component {

  state = {
    loading: false,
    iconLoading: false,
  };

  @bind
  enterLoading() {
    this.setState({loading: true});
  }

  @bind
  enterIconLoading() {
    this.setState({iconLoading: true});
  }

  render() {

    const {loading, iconLoading} = this.state;

    return (
      <div>
        <Button type="primary" loading>
          Loading
        </Button>
        <Button type="primary" size="small" loading>
          Loading
        </Button>
        <br/><br/>
        <Button type="primary" loading={loading} onClick={this.enterLoading}>
          Click me!
        </Button>
        <Button type="primary" icon="poweroff" loading={iconLoading} onClick={this.enterIconLoading}>
          Click me!
        </Button>
        <br/><br/>
        <Button shape="circle" loading/>
        <Button type="primary" shape="circle" loading/>
      </div>
    )
  }

}
