'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _olaToolkit = require('ola-toolkit');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var UploadAdapter = function () {
  function UploadAdapter(loader, config) {
    (0, _classCallCheck3.default)(this, UploadAdapter);

    this.loader = loader;
    this.config = config;
  }

  (0, _createClass3.default)(UploadAdapter, [{
    key: 'upload',
    value: function upload() {
      var _this = this;

      var loader = this.loader;
      var _config = this.config,
          url = _config.imgUploadUrl,
          imgUploadResolver = _config.imgUploadResolver,
          imgUploadRejecter = _config.imgUploadRejecter,
          imgUploadConfig = _config.imgUploadConfig,
          imgUploadInterceptor = _config.imgUploadInterceptor;

      var file = this.loader.file;
      return new _promise2.default(function (resolve, reject) {

        var rejected = imgUploadInterceptor(file);
        if (rejected) {
          reject(rejected);
          return;
        }

        _olaToolkit.Ajax.post((0, _assign2.default)({
          turnoffAdaptor: true,
          url: url,
          attach: [{
            key: 'file',
            value: file
          }],
          onProgress: function onProgress(_ref) {
            var loaded = _ref.loaded,
                total = _ref.total;

            loader.uploadTotal = total;
            loader.uploaded = loaded;
          }
        }, imgUploadConfig(file))).then(function (rsp) {
          imgUploadResolver(resolve, rsp);
        }).catch(function (e) {
          imgUploadRejecter(reject, e);
        });

        _this.abort = function () {
          reject('');
        };
      });
    }
  }, {
    key: 'abort',
    value: function abort() {
      // Reject promise returned from upload() method.
      // server.abortUpload();
    }
  }]);
  return UploadAdapter;
}();

exports.default = UploadAdapter;
module.exports = exports['default'];