'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = {
  image: {
    toolbar: ['imageTextAlternative', '|', 'imageStyle:full', '|', 'imageStyle:alignLeft', 'imageStyle:alignCenter', 'imageStyle:alignRight'],
    styles: ['full', 'side', 'alignLeft', 'alignCenter', 'alignRight']
  },
  highlight: {
    options: [{
      model: 'yellowMarker',
      class: 'marker-yellow',
      title: 'Yellow Marker',
      color: 'var(--ck-highlight-marker-yellow)',
      type: 'marker'
    }, {
      model: 'greenMarker',
      class: 'marker-green',
      title: 'Green marker',
      color: 'var(--ck-highlight-marker-green)',
      type: 'marker'
    }, {
      model: 'pinkMarker',
      class: 'marker-pink',
      title: 'Pink marker',
      color: 'var(--ck-highlight-marker-pink)',
      type: 'marker'
    }, {
      model: 'blueMarker',
      class: 'marker-blue',
      title: 'Blue marker',
      color: 'var(--ck-highlight-marker-blue)',
      type: 'marker'
    }, {
      model: 'redPen',
      class: 'pen-red',
      title: 'Red pen',
      color: 'var(--ck-highlight-pen-red)',
      type: 'pen'
    }, {
      model: 'greenPen',
      class: 'pen-green',
      title: 'Green pen',
      color: 'var(--ck-highlight-pen-green)',
      type: 'pen'
    }]
  },
  table: {
    contentToolbar: ['tableColumn', 'tableRow', 'mergeTableCells']
  },

  toolbar: {
    items: ['heading', '|', 'fontSize', 'fontFamily', 'bold', 'italic', 'underline', 'strikethrough', 'highlight', 'link', '|', 'alignment:left', 'alignment:center', 'alignment:right', 'alignment:justify', '|', 'bulletedList', 'numberedList', 'imageUpload', 'blockQuote',
    // 'insertTable',
    'undo', 'redo']
  }
};
module.exports = exports['default'];