import React, {Component} from 'react';
import {Checkbox, CKEditor} from 'ola-ui';

export default class Basic extends Component {

  state = {
    data: `<p>Hello from CKEditor 5!</p><figure class="image"><img src="https://ckeditor.com/docs/ckeditor5/latest/assets/img/fields.jpg"></figure><p>The base image feature, unlike in CKEditor 4, does not support any user interface for inserting or managing images. Its sole purpose is to lay ground for other plugins (mentioned above) to build the target user experience. This pattern (composition of atomic features) is common for CKEditor 5 and allows the developers to build their own customized experience by implementing specific subfeatures differently.</p>`,
    readonly: false,
  };

  render() {
    const {data, readonly} = this.state;

    return (
      <div style={{maxWidth: 1000}}>

        <div style={{marginBottom: 20}}>
          <Checkbox checked={readonly} onChange={(e) => {
            this.setState({readonly: e.target.checked});
          }}>readonly</Checkbox>
        </div>

        <CKEditor
          readonly={readonly}
          data={data}
          onInit={editor => {
            console.log('Editor is ready to use!', editor);
          }}
          onChange={(event, editor) => {
            const data = editor.getData();
            this.setState({
              data
            });
          }}

          imgUploadUrl={'//dj.ola.jd.com/api/uploadImage'}
          imgUploadInterceptor={(file) => {
            if (file.size > 1 * 1024 * 1024) {
              return `文件尺寸不能超过 1M`;
            }
          }}
        />

        <br/>
        <h3>Code:</h3>
        <pre style={{border: '1px solid #ccc', padding: 10}}>
          <code style={{whiteSpace: 'pre-wrap'}}>{data}</code>
        </pre>
        <br/>
        <h3>Rendered:</h3>
        <CKEditor.Output content={data}/>
      </div>
    )
  }

}
