'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class, _temp, _class2, _temp2;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _deepmerge = require('deepmerge');

var _deepmerge2 = _interopRequireDefault(_deepmerge);

var _UploadAdaptor = require('./UploadAdaptor');

var _UploadAdaptor2 = _interopRequireDefault(_UploadAdaptor);

var _Message = require('../Message');

var _Message2 = _interopRequireDefault(_Message);

var _defaultConfig = require('./defaultConfig');

var _defaultConfig2 = _interopRequireDefault(_defaultConfig);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var Output = (_temp = _class = function (_Component) {
  (0, _inherits3.default)(Output, _Component);

  function Output() {
    (0, _classCallCheck3.default)(this, Output);
    return (0, _possibleConstructorReturn3.default)(this, (Output.__proto__ || (0, _getPrototypeOf2.default)(Output)).apply(this, arguments));
  }

  (0, _createClass3.default)(Output, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement('div', { className: 'ck-content', style: { overflow: 'hidden' },
        dangerouslySetInnerHTML: { __html: this.props.content } });
    }
  }]);
  return Output;
}(_react.Component), _class.propTypes = {
  content: _propTypes2.default.string
}, _class.defaultProps = {
  content: ''
}, _temp);
var CKEditor = (_temp2 = _class2 = function (_Component2) {
  (0, _inherits3.default)(CKEditor, _Component2);

  function CKEditor(props) {
    (0, _classCallCheck3.default)(this, CKEditor);

    var _this2 = (0, _possibleConstructorReturn3.default)(this, (CKEditor.__proto__ || (0, _getPrototypeOf2.default)(CKEditor)).call(this, props));

    _this2.editor = null;
    return _this2;
  }

  (0, _createClass3.default)(CKEditor, [{
    key: 'componentDidUpdate',
    value: function componentDidUpdate() {
      var _props = this.props,
          data = _props.data,
          readonly = _props.readonly;

      if (this.editor && this.editor.getData() !== data) {
        this.editor.setData(data);
      }

      this.editor.isReadOnly = readonly;
    }
  }, {
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.init();
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      this.destroy();
    }
  }, {
    key: 'init',
    value: function () {
      var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee() {
        var _props2, config, readonly, data, onInit, onChange, ClassicEditor;

        return _regenerator2.default.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                _props2 = this.props, config = _props2.config, readonly = _props2.readonly, data = _props2.data, onInit = _props2.onInit, onChange = _props2.onChange;
                _context.next = 3;
                return _promise2.default.resolve().then(function () {
                  return _interopRequireWildcard(require('ck5-build-ola'));
                });

              case 3:
                ClassicEditor = _context.sent;
                _context.next = 6;
                return ClassicEditor.default.create(this.domContainer, (0, _deepmerge2.default)(_defaultConfig2.default, config));

              case 6:
                this.editor = _context.sent;


                if (data) {
                  this.editor.setData(data);
                }

                this.editor.isReadOnly = readonly;

                onInit(this.editor);

                this.dispatchEvent();
                this.uploadAdapterConfig();
                this.notificationOverride();

              case 13:
              case 'end':
                return _context.stop();
            }
          }
        }, _callee, this);
      }));

      function init() {
        return _ref.apply(this, arguments);
      }

      return init;
    }()
  }, {
    key: 'dispatchEvent',
    value: function dispatchEvent() {
      var _this3 = this;

      var document = this.editor.model.document;
      document.on('change:data', function (event) {
        _this3.props.onChange(event, _this3.editor);
      });
    }
  }, {
    key: 'uploadAdapterConfig',
    value: function uploadAdapterConfig() {
      var _props3 = this.props,
          imgUploadUrl = _props3.imgUploadUrl,
          imgUploadAdapter = _props3.imgUploadAdapter,
          imgUploadResolver = _props3.imgUploadResolver,
          imgUploadRejecter = _props3.imgUploadRejecter,
          imgUploadConfig = _props3.imgUploadConfig,
          imgUploadInterceptor = _props3.imgUploadInterceptor;


      this.editor.plugins.get('FileRepository').createUploadAdapter = function (loader) {
        return new imgUploadAdapter(loader, {
          imgUploadUrl: imgUploadUrl,
          imgUploadResolver: imgUploadResolver,
          imgUploadRejecter: imgUploadRejecter,
          imgUploadConfig: imgUploadConfig,
          imgUploadInterceptor: imgUploadInterceptor
        });
      };
    }
  }, {
    key: 'notificationOverride',
    value: function notificationOverride() {
      var Notification = this.editor.plugins.get('Notification');

      Notification.showWarning = function (msg, _ref2) {
        var title = _ref2.title;

        _Message2.default.warning(title + ': ' + msg, 3);
      };

      Notification.showSuccess = function (msg, _ref3) {
        var title = _ref3.title;

        _Message2.default.success(title + ': ' + msg, 3);
      };

      Notification.showInfo = function (msg, _ref4) {
        var title = _ref4.title;

        _Message2.default.info(title + ': ' + msg, 3);
      };
    }
  }, {
    key: 'destroy',
    value: function () {
      var _ref5 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee2() {
        return _regenerator2.default.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                if (!this.editor) {
                  _context2.next = 4;
                  break;
                }

                _context2.next = 3;
                return this.editor.destroy();

              case 3:
                this.editor = null;

              case 4:
              case 'end':
                return _context2.stop();
            }
          }
        }, _callee2, this);
      }));

      function destroy() {
        return _ref5.apply(this, arguments);
      }

      return destroy;
    }()
  }, {
    key: 'render',
    value: function render() {
      var _this4 = this;

      return _react2.default.createElement('div', { ref: function ref(_ref6) {
          return _this4.domContainer = _ref6;
        } });
    }
  }]);
  return CKEditor;
}(_react.Component), _class2.Output = Output, _class2.propTypes = {
  data: _propTypes2.default.string,
  config: _propTypes2.default.object,
  readonly: _propTypes2.default.bool,
  onChange: _propTypes2.default.func,
  onInit: _propTypes2.default.func,
  imgUploadAdapter: _propTypes2.default.func,

  imgUploadUrl: _propTypes2.default.string,
  imgUploadConfig: _propTypes2.default.func,
  imgUploadResolver: _propTypes2.default.func,
  imgUploadRejecter: _propTypes2.default.func,
  imgUploadInterceptor: _propTypes2.default.func

}, _class2.defaultProps = {
  data: '',
  config: {},
  readonly: false,
  onInit: function onInit() {},
  onChange: function onChange() {},
  imgUploadAdapter: _UploadAdaptor2.default,
  imgUploadConfig: function imgUploadConfig() {},

  imgUploadResolver: function imgUploadResolver(resolve, rsp) {
    return resolve({
      'default': rsp.url
    });
  },

  imgUploadRejecter: function imgUploadRejecter(reject, e) {
    return reject(e.msg);
  },

  imgUploadInterceptor: function imgUploadInterceptor() {}
}, _temp2);
exports.default = CKEditor;
module.exports = exports['default'];