import React, {Component} from 'react';
import {Cascader, Button} from 'ola-ui';
import {bind} from 'ola-toolkit';

const options = [{
  value: 'a',
  label: '部门 A',
  children: [{
    value: 'a1',
    label: '部门 A1',
    children: [{
      value: 'a101',
      label: '部门 A101',
    }],
  }],
}, {
  value: 'b',
  label: '部门 B',
  disabled: true,
  children: [{
    value: 'b1',
    label: '部门 B1',
    children: [{
      value: 'b101',
      label: '部门 B101',
    }],
  }],
}];

function onChange(value) {
  console.log(value);
}

// 自定义显示内容
function displayRender(label) {
  return label[label.length - 1];
}

export default class ExpandTrigger extends Component {

  render() {
    return (
      <Cascader
        options={options}
        expandTrigger="hover"
        displayRender={displayRender}
        onChange={onChange}
      />
    )
  }

}
