import React, {Component} from 'react';
import {Charts, Button, Spin} from 'ola-ui';
import {bind} from 'ola-toolkit';

export default class ChartsDemo extends Component {

  state = {
    values: [10, 52, 200, 334, 390, 330, 220],
    loading: false,
  };

  @bind
  update() {
    this.setState({
      loading: true,
    });

    setTimeout(() => {
      this.setState({
        values: Array(7).fill().map(() => Math.round(Math.random() * 500)),
        loading: false,
      });
    }, 3e3);
  }

  render() {

    const {values, loading} = this.state;

    return (
      <div>
        <Charts
          showLoading={loading}
          option={{
            color: ['#3398DB'],
            tooltip: {
              trigger: 'axis',
              axisPointer: {            // 坐标轴指示器，坐标轴触发有效
                type: 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
              }
            },
            grid: {
              left: '3%',
              right: '4%',
              bottom: '3%',
              containLabel: true
            },
            xAxis: [
              {
                type: 'category',
                data: ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun'],
                axisTick: {
                  alignWithLabel: true
                }
              }
            ],
            yAxis: [
              {
                type: 'value'
              }
            ],
            series: [
              {
                name: '直接访问',
                type: 'bar',
                barWidth: '60%',
                data: values
              }
            ]
          }}/>
        <div style={{textAlign: 'center', padding: 10}}>
          <Button loading={loading} type={'primary'} onClick={this.update}>更新数据</Button>
        </div>
      </div>
    )
  }
}
