'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.pick = undefined;

var _getOwnPropertyDescriptor = require('babel-runtime/core-js/object/get-own-property-descriptor');

var _getOwnPropertyDescriptor2 = _interopRequireDefault(_getOwnPropertyDescriptor);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _getIterator2 = require('babel-runtime/core-js/get-iterator');

var _getIterator3 = _interopRequireDefault(_getIterator2);

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _desc, _value, _class, _class2, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _olaToolkit = require('ola-toolkit');

var _fastDeepEqual = require('fast-deep-equal');

var _fastDeepEqual2 = _interopRequireDefault(_fastDeepEqual);

var _sizeSensor = require('size-sensor');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) {
  var desc = {};
  Object['ke' + 'ys'](descriptor).forEach(function (key) {
    desc[key] = descriptor[key];
  });
  desc.enumerable = !!desc.enumerable;
  desc.configurable = !!desc.configurable;

  if ('value' in desc || desc.initializer) {
    desc.writable = true;
  }

  desc = decorators.slice().reverse().reduce(function (desc, decorator) {
    return decorator(target, property, desc) || desc;
  }, desc);

  if (context && desc.initializer !== void 0) {
    desc.value = desc.initializer ? desc.initializer.call(context) : void 0;
    desc.initializer = undefined;
  }

  if (desc.initializer === void 0) {
    Object['define' + 'Property'](target, property, desc);
    desc = null;
  }

  return desc;
}

var pick = exports.pick = function pick(obj, keys) {
  var r = {};
  keys.forEach(function (key) {
    r[key] = obj[key];
  });
  return r;
};

var Charts = (_class = (_temp = _class2 = function (_Component) {
  (0, _inherits3.default)(Charts, _Component);

  function Charts(props) {
    (0, _classCallCheck3.default)(this, Charts);

    var _this = (0, _possibleConstructorReturn3.default)(this, (Charts.__proto__ || (0, _getPrototypeOf2.default)(Charts)).call(this, props));

    _this.echartsLib = null; // the echarts object.
    _this.echartsElement = null; // echarts div element

    _promise2.default.resolve().then(function () {
      return _interopRequireWildcard(require('echarts'));
    }).then(function (echarts) {
      _this.echartsLib = echarts;
      _this.rerender();
    });
    return _this;
  }

  // first add


  (0, _createClass3.default)(Charts, [{
    key: 'componentDidMount',
    value: function componentDidMount() {}
    // this.rerender();


    // update

  }, {
    key: 'componentDidUpdate',
    value: function componentDidUpdate(prevProps) {
      // 以下属性修改的时候，需要 dispose 之后再新建
      // 1. 切换 theme 的时候
      // 2. 修改 opts 的时候
      // 3. 修改 onEvents 的时候，这样可以取消所以之前绑定的事件 issue #151
      if (prevProps.theme !== this.props.theme || !(0, _fastDeepEqual2.default)(prevProps.opts, this.props.opts) || !(0, _fastDeepEqual2.default)(prevProps.onEvents, this.props.onEvents)) {
        this.dispose();

        this.rerender(); // 重建
        return;
      }

      // 当这些属性保持不变的时候，不 setOption
      var pickKeys = ['option', 'notMerge', 'lazyUpdate', 'showLoading', 'loadingOption'];
      if ((0, _fastDeepEqual2.default)(pick(this.props, pickKeys), pick(prevProps, pickKeys))) {
        return;
      }

      // 判断是否需要 setOption，由开发者自己来确定。默认为 true
      if (!this.props.shouldSetOption(prevProps, this.props)) {
        return;
      }

      var echartObj = this.renderEchartDom();
      // 样式修改的时候，可能会导致大小变化，所以触发一下 resize
      if (!(0, _fastDeepEqual2.default)(prevProps.style, this.props.style) || !(0, _fastDeepEqual2.default)(prevProps.className, this.props.className)) {
        try {
          echartObj.resize();
        } catch (e) {
          console.warn(e);
        }
      }
    }

    // remove

  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      this.dispose();
    }
  }, {
    key: 'getEchartsInstance',
    value: function getEchartsInstance() {
      return this.echartsLib.getInstanceByDom(this.echartsElement) || this.echartsLib.init(this.echartsElement, this.props.theme, this.props.opts);
    }

    // dispose echarts and element-resize-event

  }, {
    key: 'dispose',
    value: function dispose() {
      if (this.echartsElement) {
        try {
          (0, _sizeSensor.clear)(this.echartsElement);
        } catch (e) {
          console.warn(e);
        }
        // dispose echarts instance
        if (this.echartsLib) {
          this.echartsLib.dispose(this.echartsElement);
        }
      }
    }
  }, {
    key: 'rerender',
    value: function rerender() {
      var _props = this.props,
          onEvents = _props.onEvents,
          onChartReady = _props.onChartReady;


      var echartObj = this.renderEchartDom();
      this.bindEvents(echartObj, onEvents || {});

      // on chart ready
      if (typeof onChartReady === 'function') this.props.onChartReady(echartObj);
      // on resize
      if (this.echartsElement) {
        (0, _sizeSensor.bind)(this.echartsElement, function () {
          echartObj.resize();
        });
      }
    }
  }, {
    key: 'bindEvents',
    value: function bindEvents(instance, events) {
      var _bindEvent = function _bindEvent(eventName, func) {
        // ignore the event config which not satisfy
        if (typeof eventName === 'string' && typeof func === 'function') {
          // binding event
          // instance.off(eventName); // 已经 dispose 在重建，所以无需 off 操作
          instance.on(eventName, function (param) {
            func(param, instance);
          });
        }
      };

      // loop and bind
      for (var eventName in events) {
        if (Object.prototype.hasOwnProperty.call(events, eventName)) {
          _bindEvent(eventName, events[eventName]);
        }
      }
    }
  }, {
    key: 'renderEchartDom',
    value: function renderEchartDom() {
      var _this2 = this;

      var option = this.props.option;

      var hasMap = false;

      if (option.series && option.series.length) {
        var _iteratorNormalCompletion = true;
        var _didIteratorError = false;
        var _iteratorError = undefined;

        try {
          for (var _iterator = (0, _getIterator3.default)(option.series), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
            var series = _step.value;

            if (series.type === 'map') {
              hasMap = true;
              break;
            }
          }
        } catch (err) {
          _didIteratorError = true;
          _iteratorError = err;
        } finally {
          try {
            if (!_iteratorNormalCompletion && _iterator.return) {
              _iterator.return();
            }
          } finally {
            if (_didIteratorError) {
              throw _iteratorError;
            }
          }
        }
      }

      if (hasMap) {
        require.ensure(['./map/china'], function () {
          _this2.echartsLib.registerMap('china', require('./map/china'));
          _this2.renderEchartDomCore();
        });
      } else {
        this.renderEchartDomCore();
      }

      return this.getEchartsInstance();
    }
  }, {
    key: 'renderEchartDomCore',
    value: function renderEchartDomCore() {
      // init the echart object
      var echartObj = this.getEchartsInstance();
      // set the echart option
      echartObj.setOption(this.props.option, this.props.notMerge || false, this.props.lazyUpdate || false);
      // set loading mask
      if (this.props.showLoading) echartObj.showLoading(this.props.loadingOption || null);else echartObj.hideLoading();

      return echartObj;
    }
  }, {
    key: 'render',
    value: function render() {
      var _this3 = this;

      var _props2 = this.props,
          style = _props2.style,
          className = _props2.className;

      var newStyle = (0, _extends3.default)({
        height: 300
      }, style);
      // for render
      return _react2.default.createElement('div', {
        ref: function ref(e) {
          _this3.echartsElement = e;
        },
        style: newStyle,
        className: 'echarts-for-react ' + className
      });
    }
  }]);
  return Charts;
}(_react.Component), _class2.propTypes = {
  option: _propTypes2.default.object.isRequired, // eslint-disable-line react/forbid-prop-types
  echarts: _propTypes2.default.object, // eslint-disable-line react/forbid-prop-types
  notMerge: _propTypes2.default.bool,
  lazyUpdate: _propTypes2.default.bool,
  style: _propTypes2.default.object, // eslint-disable-line react/forbid-prop-types
  className: _propTypes2.default.string,
  theme: _propTypes2.default.string,
  onChartReady: _propTypes2.default.func,
  showLoading: _propTypes2.default.bool,
  loadingOption: _propTypes2.default.object, // eslint-disable-line react/forbid-prop-types
  onEvents: _propTypes2.default.object, // eslint-disable-line react/forbid-prop-types
  opts: _propTypes2.default.shape({
    devicePixelRatio: _propTypes2.default.number,
    renderer: _propTypes2.default.oneOf(['canvas', 'svg']),
    width: _propTypes2.default.oneOfType([_propTypes2.default.number, _propTypes2.default.oneOf([null, undefined, 'auto'])]),
    height: _propTypes2.default.oneOfType([_propTypes2.default.number, _propTypes2.default.oneOf([null, undefined, 'auto'])])
  }),
  shouldSetOption: _propTypes2.default.func
}, _class2.defaultProps = {
  notMerge: false,
  lazyUpdate: false,
  style: {},
  className: '',
  theme: null,
  onChartReady: function onChartReady() {},
  showLoading: false,
  loadingOption: null,
  onEvents: {},
  opts: {},
  shouldSetOption: function shouldSetOption() {
    return true;
  }
}, _temp), (_applyDecoratedDescriptor(_class.prototype, 'getEchartsInstance', [_olaToolkit.bind], (0, _getOwnPropertyDescriptor2.default)(_class.prototype, 'getEchartsInstance'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'dispose', [_olaToolkit.bind], (0, _getOwnPropertyDescriptor2.default)(_class.prototype, 'dispose'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'rerender', [_olaToolkit.bind], (0, _getOwnPropertyDescriptor2.default)(_class.prototype, 'rerender'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'bindEvents', [_olaToolkit.bind], (0, _getOwnPropertyDescriptor2.default)(_class.prototype, 'bindEvents'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'renderEchartDomCore', [_olaToolkit.bind], (0, _getOwnPropertyDescriptor2.default)(_class.prototype, 'renderEchartDomCore'), _class.prototype)), _class);
exports.default = Charts;