'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getOwnPropertyDescriptor = require('babel-runtime/core-js/object/get-own-property-descriptor');

var _getOwnPropertyDescriptor2 = _interopRequireDefault(_getOwnPropertyDescriptor);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _desc, _value, _class, _class2, _temp2;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _olaToolkit = require('ola-toolkit');

var _Input = require('../Input');

var _Input2 = _interopRequireDefault(_Input);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

var _Tooltip = require('../Tooltip');

var _Tooltip2 = _interopRequireDefault(_Tooltip);

var _reactCopyToClipboard = require('react-copy-to-clipboard');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) {
  var desc = {};
  Object['ke' + 'ys'](descriptor).forEach(function (key) {
    desc[key] = descriptor[key];
  });
  desc.enumerable = !!desc.enumerable;
  desc.configurable = !!desc.configurable;

  if ('value' in desc || desc.initializer) {
    desc.writable = true;
  }

  desc = decorators.slice().reverse().reduce(function (desc, decorator) {
    return decorator(target, property, desc) || desc;
  }, desc);

  if (context && desc.initializer !== void 0) {
    desc.value = desc.initializer ? desc.initializer.call(context) : void 0;
    desc.initializer = undefined;
  }

  if (desc.initializer === void 0) {
    Object['define' + 'Property'](target, property, desc);
    desc = null;
  }

  return desc;
}

var CopyInput = (_class = (_temp2 = _class2 = function (_Component) {
  (0, _inherits3.default)(CopyInput, _Component);

  function CopyInput() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, CopyInput);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = CopyInput.__proto__ || (0, _getPrototypeOf2.default)(CopyInput)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      iconType: 'copy',
      stateTip: false
    }, _this._timer = 0, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(CopyInput, [{
    key: 'onCopy',
    value: function onCopy(v, success) {
      var _this2 = this;

      var _props = this.props,
          successTip = _props.successTip,
          failTip = _props.failTip;


      if (success) {
        this.setState({
          iconType: 'check',
          stateTip: successTip
        });
      } else {
        this.setState({
          iconType: 'close',
          stateTip: failTip
        });
      }

      this._timer = setTimeout(function () {
        _this2.restore();
      }, 1e3);
    }
  }, {
    key: 'restore',
    value: function restore() {
      clearTimeout(this._timer);
      this.setState({
        iconType: 'copy',
        stateTip: false
      });
    }
  }, {
    key: 'onTipVisibleChange',
    value: function onTipVisibleChange(visible) {
      if (!visible) {
        this.setState({
          iconType: 'copy',
          stateTip: false
        });

        this.restore();
      }
    }
  }, {
    key: 'componentDidMount',
    value: function componentDidMount() {
      var input = _reactDom2.default.findDOMNode(this).querySelector('input');
      input.addEventListener('focus', function () {
        this.select();
      });
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      clearTimeout(this._timer);
    }
  }, {
    key: 'render',
    value: function render() {
      var _state = this.state,
          iconType = _state.iconType,
          stateTip = _state.stateTip;
      var _props2 = this.props,
          size = _props2.size,
          value = _props2.value,
          copyTip = _props2.copyTip,
          className = _props2.className,
          style = _props2.style;


      return _react2.default.createElement(_Input2.default, { style: style, className: className, size: size, addonAfter: _react2.default.createElement(
          _reactCopyToClipboard.CopyToClipboard,
          { text: value, onCopy: this.onCopy },
          _react2.default.createElement(
            _Tooltip2.default,
            { placement: 'left', title: stateTip || copyTip, onVisibleChange: this.onTipVisibleChange },
            _react2.default.createElement(_Icon2.default, { type: iconType, style: {
                cursor: 'pointer'
              } })
          )
        ), value: value, onChange: function onChange() {} });
    }
  }]);
  return CopyInput;
}(_react.Component), _class2.propTypes = {
  size: _propTypes2.default.oneOf(['small', 'default', 'large']),
  className: _propTypes2.default.string,
  style: _propTypes2.default.object,
  value: _propTypes2.default.string,
  copyTip: _propTypes2.default.string,
  successTip: _propTypes2.default.string,
  failTip: _propTypes2.default.string
}, _class2.defaultProps = {
  size: 'default',
  copyTip: '点击复制',
  successTip: '复制成功',
  failTip: '复制失败',
  className: '',
  style: {}
}, _temp2), (_applyDecoratedDescriptor(_class.prototype, 'onCopy', [_olaToolkit.bind], (0, _getOwnPropertyDescriptor2.default)(_class.prototype, 'onCopy'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'onTipVisibleChange', [_olaToolkit.bind], (0, _getOwnPropertyDescriptor2.default)(_class.prototype, 'onTipVisibleChange'), _class.prototype)), _class);


_reactCopyToClipboard.CopyToClipboard.Input = CopyInput;

exports.default = _reactCopyToClipboard.CopyToClipboard;
module.exports = exports['default'];