'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _DatePicker = require('../DatePicker');

var _DatePicker2 = _interopRequireDefault(_DatePicker);

var _Select = require('../Select');

var _Select2 = _interopRequireDefault(_Select);

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MonthPicker = _DatePicker2.default.MonthPicker,
    RangePicker = _DatePicker2.default.RangePicker,
    WeekPicker = _DatePicker2.default.WeekPicker;
var Option = _Select2.default.Option;


var DateTypes = {
  DAY: 1,
  WEEK: 2,
  MONTH: 3,
  CUS: 4
};

var DateTypeList = [{ key: DateTypes.DAY, title: '天' }, { key: DateTypes.WEEK, title: '周' }, { key: DateTypes.MONTH, title: '月' }, { key: DateTypes.CUS, title: '自定义' }];

/**
 * 可变类型的日历插件
 * @types {Array} 可选 日期可以选择的类型，只能由DateTypes.DAY,DateTypes.WEEK,DateTypes.MONTH,DateTypes.CUS组成，第一个类型为默认选中类型
 * @value {moment} 可选 初始化日期，值必须是moment类型的实例，如果是日期区间则传入数组[moment,moment]
 * @onChange {function} 可选 日期变更后的回调函数，回传参数(dates,dateStrings).如果日期类型是自定义:dates = [moment,moment],dateStrings=['YYYY-MM-DD','YYYY-MM-DD']
 */
var DateTypePicker = (_temp = _class = function (_React$Component) {
  (0, _inherits3.default)(DateTypePicker, _React$Component);

  function DateTypePicker(props) {
    (0, _classCallCheck3.default)(this, DateTypePicker);

    var _this = (0, _possibleConstructorReturn3.default)(this, (DateTypePicker.__proto__ || (0, _getPrototypeOf2.default)(DateTypePicker)).call(this, props));

    var initState = {
      typesList: [].concat(DateTypeList),
      type: DateTypes.DAY
    };

    var types = props.types;


    if (types && (typeof types === 'undefined' ? 'undefined' : (0, _typeof3.default)(types)) === 'object' && types.length) {

      initState.typesList = [];

      for (var j = 0; j < types.length; j++) {
        for (var i = 0; i < DateTypeList.length; i++) {
          if (DateTypeList[i]['key'] === types[j]) {
            initState.typesList.push(DateTypeList[i]);
          }
        }
      }

      initState.type = initState.typesList.length ? initState.typesList[0]['key'] : DateTypes.DAY;
    }

    _this.state = (0, _extends3.default)({}, initState);

    _this.handleChangeType = _this.handleChangeType.bind(_this);

    _this.renderDatePicker = _this.renderDatePicker.bind(_this);

    _this.handleChangeDate = _this.handleChangeDate.bind(_this);
    return _this;
  }

  (0, _createClass3.default)(DateTypePicker, [{
    key: 'handleChangeType',
    value: function handleChangeType(value) {

      this.setState({
        type: parseInt(value)
      });
    }
  }, {
    key: 'handleChangeDate',
    value: function handleChangeDate(dates, dateStrings) {
      var onChange = this.props.onChange;


      onChange && typeof onChange === 'function' && onChange(dates, dateStrings);
    }

    // 根据日期类型生产不同的日期选择器

  }, {
    key: 'renderDatePicker',
    value: function renderDatePicker() {
      var value = this.props.value;
      var type = this.state.type;


      var startDate = (0, _moment2.default)();
      var endDate = (0, _moment2.default)();

      if (value && (typeof value === 'undefined' ? 'undefined' : (0, _typeof3.default)(value)) === 'object') {

        if (!value.length && _moment2.default.isMoment(value)) {
          startDate = value;
          endDate = value;
        } else if (value.length) {
          if (value[0] && _moment2.default.isMoment(value[0])) {
            startDate = value[0];
          }
          if (value[1] && _moment2.default.isMoment(value[1])) {
            endDate = value[1];
          }
        }
      }

      switch (type) {
        case DateTypes.DAY:
          return _react2.default.createElement(_DatePicker2.default, { defaultValue: startDate, onChange: this.handleChangeDate });
          break;
        case DateTypes.WEEK:
          return _react2.default.createElement(WeekPicker, { defaultValue: startDate, onChange: this.handleChangeDate });
          break;
        case DateTypes.MONTH:
          return _react2.default.createElement(MonthPicker, { defaultValue: startDate, onChange: this.handleChangeDate });
          break;
        case DateTypes.CUS:
          return _react2.default.createElement(RangePicker, { defaultValue: [startDate, endDate], onChange: this.handleChangeDate });
          break;
        default:
          return null;

      }
    }
  }, {
    key: 'render',
    value: function render() {
      var types = this.props.types;
      var _state = this.state,
          type = _state.type,
          typesList = _state.typesList;


      if (!typesList.length) {
        return null;
      }

      var isMultilyType = typesList.length === 1 ? false : true;

      return _react2.default.createElement(
        'div',
        null,
        isMultilyType && _react2.default.createElement(
          _Select2.default,
          { value: type, style: { width: 120 }, onChange: this.handleChangeType },
          typesList.map(function (item, index) {
            return _react2.default.createElement(
              Option,
              { key: item.key, value: item.key },
              item.title
            );
          })
        ),
        '\xA0',
        this.renderDatePicker()
      );
    }
  }]);
  return DateTypePicker;
}(_react2.default.Component), _class.propTypes = {
  types: _propTypes2.default.array
  // defaultValue:function(props,propName,componentName){
  //   if(props[propName] instanceof moment){
  //     return new Error(`${propName}必须是moment`);
  //   }
  // },
  // value:function(props,propName,componentName){
  //   if(props[propName] && !(props[propName] instanceof moment)){
  //     return new Error(`${propName}必须是moment`);
  //   }
  // },
  // onChange:function(props,propName,componentName){
  //   if(!props[propName] || typeof props[propName] !== 'function'){
  //     return new Error(`指定了value属性必须传入${propName}属性`);
  //   }
  // }
}, _temp);
exports.default = DateTypePicker;


DateTypePicker.DateTypes = (0, _extends3.default)({}, DateTypes);
module.exports = exports['default'];