import React, {Component} from 'react';
import {Drawer, Button, Slider} from 'ola-ui';
import {bind} from 'ola-toolkit';

export default class Basic extends Component {

  state = {
    open: false,
    position: 'left',
  };

  @bind
  open(position) {
    this.setState({
      open: true,
      position
    });
  }

  @bind
  change(open) {
    if (!open) {
      this.setState({
        open: false,
      });
    }
  }

  render() {

    const {open, position} = this.state;

    return (
      <div>
        <Drawer
          onChange={this.change}
          open={open}
          position={position}>
          <div>
            <h2 style={{padding: 20}}>Drawer</h2>
            <ul style={{paddingTop: 20}}>
              <li>1</li>
              <li>1</li>
              <li>1</li>
            </ul>
          </div>
        </Drawer>

        <div style={{textAlign: 'center', padding: 10}}>
          <Button type={'primary'} onClick={() => {
            this.open('left')
          }} style={{marginRight: 10}}>Open Left</Button>
          <Button type={'primary'} onClick={() => {
            this.open('right')
          }}>Open Right</Button>
        </div>
      </div>
    )
  }
}
