import React, {Component} from 'react';
import {Form, Icon, Input, Button, Radio, Slider, Row, Col} from 'ola-ui';
import {bind} from 'ola-toolkit';

const FormItem = Form.Item;

export default class Demo extends Component {

  state = {
    layout: 'inline',
    wrapperCol: 14,
    labelCol: 4,
  };

  render() {
    const {layout, wrapperCol, labelCol} = this.state;

    const formItemLayout = layout === 'horizontal' ? {
      labelCol: {span: labelCol},
      wrapperCol: {span: wrapperCol},
    } : null;

    const buttonItemLayout = layout === 'horizontal' ? {
      wrapperCol: {span: wrapperCol, offset: labelCol},
    } : null;

    return (
      <div>
        <Form layout={'inline'}>
          <FormItem label={'Layout'}>
            <Radio.Group value={layout} onChange={({target: {value: layout}}) => {
              this.setState({layout})
            }}>
              <Radio.Button value="inline">Inline</Radio.Button>
              <Radio.Button value="horizontal">Horizontal</Radio.Button>
              <Radio.Button value="vertical">Vertical</Radio.Button>
            </Radio.Group>
          </FormItem>

          {layout === 'horizontal' &&
          <FormItem label={'wrapperCol'}>
            <Slider style={{width: 200}} value={wrapperCol} min={1} max={24} onChange={(wrapperCol) => {
              this.setState({wrapperCol});
            }}/>
          </FormItem>}

          {layout === 'horizontal' &&
          <FormItem label={'labelCol'}>
            <Slider style={{width: 200}} value={labelCol} min={1} max={24} onChange={(labelCol) => {
              this.setState({labelCol});
            }}/>
          </FormItem>}
        </Form>
        <br/><br/>
        <Form layout={layout}>
          <FormItem label={'username'} {...formItemLayout}>
            <Input defaultValue={''}/>
          </FormItem>
          <FormItem label={'password'} {...formItemLayout}>
            <Input defaultValue={''} type={'password'}/>
          </FormItem>
          <FormItem {...buttonItemLayout}>
            <Button type={'primary'}>Submit</Button>
          </FormItem>
        </Form>
      </div>
    )
  }
}
