import React, {Component} from 'react';
import {InputNumber} from 'ola-ui';

function onChange(value) {
  console.log('changed', value);
}

export default class Formatter extends Component {

  render() {

    return (
      <div>
        <InputNumber
          defaultValue={1000}
          formatter={value => `$ ${value}`.replace(/\B(?=(\d{3})+(?!\d))/g, ',')}
          parser={value => value.replace(/\$\s?|(,*)/g, '')}
          onChange={onChange}
          style={{marginRight: 10}}
        />
        <InputNumber
          defaultValue={100}
          min={0}
          max={100}
          formatter={value => `${value}%`}
          parser={value => value.replace('%', '')}
          onChange={onChange}
        />
      </div>
    )
  }

}
