import React, {Component} from 'react';
import {
  InputNumberRange,
  Form,
} from 'ola-ui';


const formItemLayout = {
  labelCol: {
    xs: {span: 24},
    sm: {span: 4},
  },
  wrapperCol: {
    xs: {span: 24},
    sm: {span: 16},
  },
};


export default class InputNumberRangePage extends Component {

  static propTypes = {};

  state = {
    inputNumberRange: {
      from: 100,
      to: 300
    }
  };

  render() {
    return <div>
      <Form.Item label={'价格区间'} {...formItemLayout} >
        <InputNumberRange
          style={{width: 300}}
          fromPlaceholder={'from'}
          toPlaceholder={'to'}
          separator={`---`}
          min={100}
          max={500}
          separatorStyle={{color: 'red'}}
          suffix={`元`}
          value={{
            from: this.state.inputNumberRange.from,
            to: this.state.inputNumberRange.to
          }}
          onChange={(v) => {
            this.setState({
              inputNumberRange: {
                ...v
              }
            })
          }}
        />
      </Form.Item>
    </div>
  }
}
