import React, {Component} from 'react';
import {List, Button, Radio, Form, Switch} from 'ola-ui';
import {bind} from 'ola-toolkit';

const FormItem = Form.Item;

const dataSource = Array(9).fill().map((v, i) => i);

export default class Basic extends Component {

  state = {
    size: 'default',
    bordered: false,
    header: false,
    footer: false,
    page: false,
  };

  render() {

    const {size, bordered, header, footer, page} = this.state;

    return (
      <div>
        <List
          header={header && <div>Header</div>}
          footer={footer && <div>Footer</div>}
          bordered={bordered}
          size={size}
          dataSource={dataSource}
          pagination={page && {
            onChange: (page) => {
              console.log(page);
            },
            pageSize: 3,
          }}
          renderItem={item => (<List.Item>Item - {item}</List.Item>)}
        />

        <Form layout="inline" style={{paddingTop: 10}}>
          <FormItem label="size">
            <Radio.Group value={size} onChange={({target: {value}}) => {
              this.setState({
                size: value
              });
            }}>
              <Radio.Button value="large">Large</Radio.Button>
              <Radio.Button value="default">Default</Radio.Button>
              <Radio.Button value="small">Small</Radio.Button>
            </Radio.Group>
          </FormItem>

          <FormItem label="bordered">
            <Switch checked={bordered} onChange={bordered => {
              this.setState({bordered})
            }}/>
          </FormItem>

          <FormItem label="header">
            <Switch checked={header} onChange={header => {
              this.setState({header})
            }}/>
          </FormItem>

          <FormItem label="footer">
            <Switch checked={footer} onChange={footer => {
              this.setState({footer})
            }}/>
          </FormItem>

          <FormItem label="pagination">
            <Switch checked={page} onChange={page => {
              this.setState({page})
            }}/>
          </FormItem>
        </Form>

      </div>
    )
  }
}
