import React, {Component} from 'react';
import {Mention} from 'ola-ui';
import {bind} from 'ola-toolkit';

const users = ['afc163', 'benjycui', 'yiminghe', 'jljsj33', 'dqaria', 'RaoHai'];

export default class Async extends Component {

  state = {
    suggestions: [],
    loading: false,
  };

  @bind
  fetchSuggestions(value, callback) {
    setTimeout(() => {
      callback(users.filter(item => item.indexOf(value) !== -1));
    }, 500);
  }

  @bind
  onSearchChange(value) {
    this.fetchSuggestions(value, (suggestions) => {
      this.setState({
        suggestions,
        loading: false,
      });
    });
    this.setState({
      loading: true,
    });
  }

  render() {
    const {suggestions, loading} = this.state;
    return (
      <Mention
        style={{width: '100%'}}
        loading={loading}
        suggestions={suggestions}
        onSearchChange={this.onSearchChange}
      />
    );
  }

}
