# Message

非阻塞全局消息提示

## 示例

  <demo src="basic.jsx" title="基础用法"></demo>
  
  <demo src="types.jsx" title="类型"></demo>
  
  <demo src="duration.jsx" title="显示时长"></demo>
  
  <demo src="loading.jsx" title="加载中状态"></demo>

## API

组件提供了一些静态方法，使用方式和参数如下：

- `Message.success(content, [duration], onClose)`
- `Message.error(content, [duration], onClose)`
- `Message.info(content, [duration], onClose)`
- `Message.warning(content, [duration], onClose)`
- `Message.warn(content, [duration], onClose)` // alias of warning
- `Message.loading(content, [duration], onClose)`

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| content | 提示内容 | string\|ReactNode | - |
| duration | 自动关闭的延时，单位秒。设为 0 时不自动关闭。 | number | 3 |
| onClose | 关闭时触发的回调函数 | Function | - |

还提供了全局配置和全局销毁方法：

- `Message.config(options)`
- `Message.destroy()`

### Message.config

```js
Message.config({
  top: 100,
  duration: 2,
  maxCount: 3,
});
```

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| duration | 默认自动关闭延时，单位秒 | number | 3 |
| getContainer | 配置渲染节点的输出位置 | () => HTMLElement | () => document.body |
| top | 消息距离顶部的位置 | number | 24 |
| maxCount | 最大显示数, 超过限制时，最早的消息会被自动关闭 | number | - |
