import React, {Component} from 'react';
import {Modal, Button} from 'ola-ui';
import {bind} from 'ola-toolkit';

export default class Basic extends Component {

  state = {
    visible: false
  };

  @bind
  showModal() {
    this.setState({
      visible: true,
    });
  }

  @bind
  handleOk(e) {
    console.log(e);
    this.setState({
      visible: false,
    });
  }

  @bind
  handleCancel(e) {
    console.log(e);
    this.setState({
      visible: false,
    });
  }

  render() {

    return (
      <div>
        <Button type="primary" onClick={this.showModal}>Open</Button>
        <Modal
          title="Basic Modal"
          visible={this.state.visible}
          onOk={this.handleOk}
          onCancel={this.handleCancel}
        >
          <p>Some contents...</p>
          <p>Some contents...</p>
          <p>Some contents...</p>
        </Modal>
      </div>
    )
  }

}
