import React, {Component} from 'react';
import {Modal, Button} from 'ola-ui';
import {bind} from 'ola-toolkit';

export default class Footer extends Component {

  state = {
    loading: false,
    visible: false,
  };

  @bind
  showModal() {
    this.setState({
      visible: true,
    });
  }

  @bind
  handleOk() {
    this.setState({
      loading: true
    });
    setTimeout(() => {
      this.setState({
        loading: false, visible: false
      });
    }, 3000);
  }

  @bind
  handleCancel() {
    this.setState({visible: false});
  }

  render() {
    const {visible, loading} = this.state;
    return (
      <div>
        <Button type="primary" onClick={this.showModal}>
          Open
        </Button>
        <Modal
          visible={visible}
          title="Title"
          onOk={this.handleOk}
          onCancel={this.handleCancel}
          footer={[
            <Button key="back" onClick={this.handleCancel}>Return</Button>,
            <Button key="submit" type="primary" loading={loading} onClick={this.handleOk}>
              Submit
            </Button>,
          ]}
        >
          <p>Some contents...</p>
          <p>Some contents...</p>
          <p>Some contents...</p>
          <p>Some contents...</p>
          <p>Some contents...</p>
        </Modal>
      </div>
    )
  }

}
