# Pagination

分页

## 示例

  <demo src="basic.jsx" title="基础用法"></demo>
  
  <demo src="overflow.jsx" title="更多页数"></demo>
  
  <demo src="pageSize.jsx" title="每页数量控制"></demo>
  
  <demo src="navigate.jsx" title="页码定位"></demo>
  
  <demo src="showTotal.jsx" title="总条目数量"></demo>
  
  <demo src="mini.jsx" title="迷你版本"></demo>
  
  <demo src="simple.jsx" title="简洁版本"></demo>
  
  <demo src="controlled.jsx" title="受控模式"></demo>
  
  <demo src="object.jsx" title="按对象传递"></demo>
  
## API

```html
<Pagination onChange={onChange} page={page} />
```

或

```html
<Pagination onChange={onChange} total={50} current={1} pageSize={10} />
```

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| current | 当前页数 | number | - |
| defaultCurrent | 默认的当前页数 | number | 1 |
| defaultPageSize | 默认的每页条数 | number | 10 |
| hideOnSinglePage | 只有一页时是否隐藏分页器 | boolean | false |
| itemRender | 用于自定义页码的结构，可用于优化 SEO | (page, type: 'page' \| 'prev' \| 'next', originalElement) => React.ReactNode | - |
| pageSize | 每页条数 | number | - |
| pageSizeOptions | 指定每页可以显示多少条 | string\[] | ['10', '20', '30', '40'] |
| showQuickJumper | 是否可以快速跳转至某页 | boolean | false |
| showSizeChanger | 是否可以改变 pageSize | boolean | false |
| showTotal | 用于显示数据总量和当前数据顺序 | Function(total, range) | - |
| simple | 当添加该属性时，显示为简单分页 | boolean | - |
| size | 当为「small」时，是小尺寸分页 | string | "" |
| total | 数据总数 | number | 0 |
| onChange | 页码改变的回调，参数是改变后的页码及每页条数 | Function(page, pageSize) | noop |
| onShowSizeChange | pageSize 变化的回调 | Function(current, size) | noop |

### 按对象传递

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| page | 分页信息对象 | object \| Immutable.Map | {} |
| totalKey | page 中 total 字段的key，一般无需修改 | string | 'total' |
| pageSizeKey | page 中 pageSize 字段的key，一般无需修改 | string | 'pageSize' |
| currentKey | page 中 current 字段的key，一般无需修改 | string | 'current' |
