import React, {Component} from 'react';
import {Placeholder, Button} from 'ola-ui';
import {bind} from 'ola-toolkit';

export default class Demo extends Component {

  state = {
    loaded: false,
    loading: false,
  };

  @bind
  fetch() {
    this.setState({
      loading: true,
      loaded: false,
    });
    setTimeout(() => {
      this.setState({
        loaded: true,
        loading: false,
      })
    }, 2e3);
  }

  render() {
    const {loaded, loading} = this.state;

    return (
      <div>
        <Placeholder type={'text'} rows={7} ready={loaded}>
          <div>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed nonne merninisti licere mihi ista probare,
            quae sunt a te dicta? Refert tamen, quo modo.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed
            nonne merninisti licere mihi ista probare, quae sunt a te dicta? Refert tamen, quo modo.
          </div>
        </Placeholder>
        <br/><br/>
        <Button type={'primary'} onClick={this.fetch} loading={loading}>加载</Button>
      </div>
    )
  }
}
