import React, {Component} from 'react';
import {Popconfirm, Switch, Message} from 'ola-ui';
import {bind} from 'ola-toolkit';

export default class Condition extends Component {

  state = {
    visible: false,
    condition: true, // Whether meet the condition, if not show popconfirm.
  };

  @bind
  changeCondition(value) {
    this.setState({condition: value});
  }

  @bind
  confirm() {
    this.setState({visible: false});
    Message.success('Next step.');
  }

  @bind
  cancel() {
    this.setState({visible: false});
    Message.error('Click on cancel.');
  }

  @bind
  handleVisibleChange(visible) {
    if (!visible) {
      this.setState({visible});
      return;
    }
    // Determining condition before show the popconfirm.
    console.log(this.state.condition);
    if (this.state.condition) {
      this.confirm(); // next step
    } else {
      this.setState({visible}); // show the popconfirm
    }
  }

  render() {

    return (
      <div>
        <Popconfirm
          title="Are you sure delete this task?"
          visible={this.state.visible}
          onVisibleChange={this.handleVisibleChange}
          onConfirm={this.confirm}
          onCancel={this.cancel}
          okText="Yes"
          cancelText="No"
        >
          <a href="#">Delete a task</a>
        </Popconfirm>
        <br/>
        <br/>
        Whether directly execute：<Switch defaultChecked onChange={this.changeCondition}/>
      </div>
    )
  }

}
