import React, {Component} from 'react';
import {Popover, Button} from 'ola-ui';
import {bind} from 'ola-toolkit';

export default class Visible extends Component {

  state = {
    visible: false,
  };

  @bind
  hide() {
    this.setState({
      visible: false,
    });
  }

  @bind
  handleVisibleChange(visible) {
    this.setState({visible});
  }

  render() {

    return (
      <div>
        <Popover
          content={<a onClick={this.hide}>Close</a>}
          title="Title"
          trigger="click"
          visible={this.state.visible}
          onVisibleChange={this.handleVisibleChange}
        >
          <Button type="primary">Click me</Button>
        </Popover>
      </div>
    )
  }

}
