import React, {Component} from 'react';
import {Radio, Button} from 'ola-ui';
import {bind} from 'ola-toolkit';

const radioStyle = {
  display: 'block',
  height: '30px',
  lineHeight: '30px',
};

export default class Vertical extends Component {

  state = {
    value: 1,
  };

  @bind
  onChange(e) {
    this.setState({
      value: e.target.value,
    });
  }

  render() {

    return (
      <Radio.Group onChange={this.onChange} value={this.state.value}>
        <Radio style={radioStyle} value={1}>Option A</Radio>
        <Radio style={radioStyle} value={2}>Option B</Radio>
        <Radio style={radioStyle} value={3}>Option C</Radio>
        <Radio style={radioStyle} value={4}>
          More...
          {this.state.value === 4 ? <Input style={{width: 100, marginLeft: 10}}/> : null}
        </Radio>
      </Radio.Group>
    )
  }

}
