# Row

布局行

## 概述

基于 24 等分布局的栅格化系统，

其中 `Row` 用于定义行，`Col` 用于定义列，当使用栅格系统后，你的内容应当放置于 `Col` 内，并且，只有 `Col` 可以作为 `Row` 的直接元素
                                      

## 示例

  <demo src="basic.jsx" title="基础用法"></demo>
  
  <demo src="gutter.jsx" title="列间距"></demo>
 
## API

| 成员 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| align | flex 布局下的垂直对齐方式：`top` `middle` `bottom` | string | `top` |
| gutter | 栅格间隔，可以写成像素值或支持响应式的对象写法 `{ xs: 8, sm: 16, md: 24}` | number/object | 0 |
| justify | flex 布局下的水平排列方式：`start` `end` `center` `space-around` `space-between` | string | `start` |
| type | 布局模式，可选 `flex`，[现代浏览器](http://caniuse.com/#search=flex) 下有效 | string |  |
