import React, {Component} from 'react';
import {Spin, Switch, Alert} from 'ola-ui';
import {bind} from 'ola-toolkit';

export default class Container extends Component {

  state = {
    loading: false
  };

  @bind
  toggle(value) {
    this.setState({
      loading: value
    });
  }

  render() {

    return (
      <div>
        <Spin spinning={this.state.loading}>
          <Alert
            message="Alert message title"
            description="Further details about the context of this alert."
            type="info"
          />
        </Spin>
        <div style={{marginTop: 16}}>
          Loading state：<Switch checked={this.state.loading} onChange={this.toggle}/>
        </div>
      </div>
    );
  }

}
