'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _getOwnPropertyDescriptor = require('babel-runtime/core-js/object/get-own-property-descriptor');

var _getOwnPropertyDescriptor2 = _interopRequireDefault(_getOwnPropertyDescriptor);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _desc, _value, _class, _class2, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _olaToolkit = require('ola-toolkit');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) {
  var desc = {};
  Object['ke' + 'ys'](descriptor).forEach(function (key) {
    desc[key] = descriptor[key];
  });
  desc.enumerable = !!desc.enumerable;
  desc.configurable = !!desc.configurable;

  if ('value' in desc || desc.initializer) {
    desc.writable = true;
  }

  desc = decorators.slice().reverse().reduce(function (desc, decorator) {
    return decorator(target, property, desc) || desc;
  }, desc);

  if (context && desc.initializer !== void 0) {
    desc.value = desc.initializer ? desc.initializer.call(context) : void 0;
    desc.initializer = undefined;
  }

  if (desc.initializer === void 0) {
    Object['define' + 'Property'](target, property, desc);
    desc = null;
  }

  return desc;
}

var FPS = 20;
var STEP = 1;
var TIMEOUT = 1 / FPS * 1000;
var Direction = {
  LEFT: 'left',
  RIGHT: 'right',
  TOP: 'top',
  BOTTOM: 'bottom'
};

var Text = (_class = (_temp = _class2 = function (_Component) {
  (0, _inherits3.default)(Text, _Component);

  function Text(props) {
    (0, _classCallCheck3.default)(this, Text);

    var _this = (0, _possibleConstructorReturn3.default)(this, (Text.__proto__ || (0, _getPrototypeOf2.default)(Text)).call(this, props));

    _this.state = {
      animatedPosition: 0,
      divWidth: 0,
      tWidth: 0,
      divHeight: 0,
      tHeight: 0,
      divPadding: 0
    };
    return _this;
  }

  (0, _createClass3.default)(Text, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var _this2 = this;

      setTimeout(function () {
        if (_this2.props.marquee) {
          _this2._measureText();
          var marqueeFlag = _this2.canMarquee();
          if (marqueeFlag) {
            _this2._startAnimation();
          }
        }
      }, 0);
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      window.cancelAnimationFrame(this._marqueeTimer);
    }
  }, {
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      if (this.props.children.length !== nextProps.children.length) {
        window.cancelAnimationFrame(this._marqueeTimer);
        this.setState({
          animatedPosition: 0
        });
      }
    }

    //判断文本是否应该滚动

  }, {
    key: 'canMarquee',
    value: function canMarquee() {
      var _state = this.state,
          divHeight = _state.divHeight,
          divWidth = _state.divWidth,
          tHeight = _state.tHeight,
          tWidth = _state.tWidth;
      var _props = this.props,
          marquee = _props.marquee,
          direction = _props.direction;

      var flag = false;

      if (marquee) {
        if (direction === Direction.LEFT || direction === Direction.RIGHT) {
          if (divWidth <= tWidth && tWidth) {
            flag = true;
          }
        } else if (direction === Direction.TOP || direction === Direction.BOTTOM) {
          if (divHeight <= tHeight && tHeight) {
            flag = true;
          }
        }
      }
      return flag;
    }
  }, {
    key: 'handleMouseEnter',
    value: function handleMouseEnter() {
      var marqueeFlag = this.canMarquee();
      if (marqueeFlag) {
        window.cancelAnimationFrame(this._marqueeTimer);
      } else {
        this._startAnimation();
      }
    }
  }, {
    key: 'handleMouseLeave',
    value: function handleMouseLeave() {
      var marqueeFlag = this.canMarquee();
      if (marqueeFlag) {
        this._startAnimation();
      } else {
        window.cancelAnimationFrame(this._marqueeTimer);
        this.setState({
          animatedPosition: 0
        });
      }
    }

    //测量文本及容器宽度高度等信息

  }, {
    key: '_measureText',
    value: function _measureText() {
      var container = _reactDom2.default.findDOMNode(this._div);
      var node = _reactDom2.default.findDOMNode(this._text);

      if (container && node) {
        var containerWidth = container.clientWidth;
        var containerHeight = container.clientHeight;
        var textWidth = node.clientWidth;
        var textHeight = node.offsetHeight;
        var padding = container.style.padding;
        var divPadding = parseInt(padding) ? parseInt(padding) : 0;

        this.setState({
          divWidth: containerWidth - 2 * divPadding,
          tWidth: textWidth,
          divHeight: containerHeight - 2 * divPadding,
          tHeight: textHeight,
          divPadding: divPadding
        });
      }
    }

    //滚动

  }, {
    key: '_startAnimation',
    value: function _startAnimation() {
      var _this3 = this;

      window.cancelAnimationFrame(this._marqueeTimer);

      // const isLeading = this.state.animatedPosition === 0;
      // const timeout = isLeading ? this.props.leading : TIMEOUT;
      var isRoundOver = false;
      var marqueeFlag = this.canMarquee();

      var animate = function animate() {
        var _state2 = _this3.state,
            divWidth = _state2.divWidth,
            divPadding = _state2.divPadding,
            tWidth = _state2.tWidth,
            divHeight = _state2.divHeight,
            tHeight = _state2.tHeight;

        var step = _this3.props.step;
        var animatedPosition = _this3.state.animatedPosition + step;
        if (_this3.props.direction === Direction.LEFT || _this3.props.direction === Direction.RIGHT && divWidth <= tWidth) {
          isRoundOver = animatedPosition - divWidth - tWidth - 2 * divPadding > 0;
        } else if (_this3.props.direction === Direction.TOP || _this3.props.direction === Direction.BOTTOM && divHeight <= tHeight) {
          isRoundOver = animatedPosition - divHeight - 2 * divPadding - tHeight > 0;
        }

        if (isRoundOver) {
          if (_this3.props.loop) {
            animatedPosition = 0;
          } else {
            if (_this3.props.direction === Direction.LEFT) {
              _this3.setState({
                animatedPosition: divWidth === tWidth ? divWidth + divPadding : tWidth + divPadding
              });
            } else if (_this3.props.direction === Direction.RIGHT) {
              _this3.setState({
                animatedPosition: divWidth + divPadding
              });
            } else if (_this3.props.direction === Direction.TOP) {
              _this3.setState({
                animatedPosition: tHeight + divPadding
              });
            } else if (_this3.props.direction === Direction.BOTTOM) {
              _this3.setState({
                animatedPosition: divHeight + divPadding
              });
            }

            window.cancelAnimationFrame(_this3._marqueeTimer);
            return;
          }
        }

        if (isRoundOver && _this3.props.trailing) {
          _this3._marqueeTimer = setTimeout(function () {
            _this3.setState({
              animatedPosition: animatedPosition
            });

            _this3._marqueeTimer = window.requestAnimationFrame(animate);
          }, _this3.props.trailing);
        } else if (marqueeFlag) {
          _this3.setState({
            animatedPosition: animatedPosition
          });

          _this3._marqueeTimer = window.requestAnimationFrame(animate);
        }
      };

      if (marqueeFlag) {
        this._marqueeTimer = window.requestAnimationFrame(animate);
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this4 = this;

      var _state3 = this.state,
          animatedPosition = _state3.animatedPosition,
          divWidth = _state3.divWidth,
          tWidth = _state3.tWidth,
          divPadding = _state3.divPadding,
          divHeight = _state3.divHeight,
          tHeight = _state3.tHeight;

      var text = this.props.children;
      var _props2 = this.props,
          children = _props2.children,
          style = _props2.style,
          className = _props2.className,
          marquee = _props2.marquee,
          hoverToStop = _props2.hoverToStop,
          maxLine = _props2.maxLine,
          direction = _props2.direction;

      var directionStyle = {};
      var marqueeFlag = this.canMarquee();

      var maxLineStyle = {
        'display': '-webkit-box',
        'WebkitLineClamp': maxLine,
        'WebkitBoxOrient': 'vertical',
        'whiteSpace': 'pre-wrap'
        // 'wordBreak':'break-all',
      };

      var textStyle = {
        'display': 'inline-block',
        'position': 'relative',
        'overflow': 'hidden'
        // 'whiteSpace': 'nowrap'
      };

      if (divPadding !== undefined && marqueeFlag) {
        //相对定位 
        switch (direction) {
          case Direction.LEFT:
            directionStyle = {
              'left': divWidth === tWidth ? animatedPosition - divWidth - divPadding : animatedPosition - tWidth - divPadding
            };
            break;
          case Direction.RIGHT:
            directionStyle = {
              'right': animatedPosition - divWidth - divPadding
            };
            break;
          case Direction.TOP:
            directionStyle = {
              'top': animatedPosition - tHeight - divPadding
            };
            break;
          case Direction.BOTTOM:
            directionStyle = {
              'bottom': animatedPosition - divHeight - divPadding
            };
            break;
          default:
        }
        textStyle = (0, _assign2.default)(textStyle, directionStyle);
      }

      if (!marquee && divWidth === tWidth) {
        textStyle = (0, _assign2.default)(textStyle, maxLineStyle);
      }

      if (!(marquee && hoverToStop)) {
        return _react2.default.createElement(
          'div',
          {
            style: (0, _extends3.default)({}, style, { 'overflow': 'hidden', 'position': 'relative' }),
            className: 'uiMarquee ' + className + ' ',
            ref: function ref(div) {
              _this4._div = div;
            } },
          _react2.default.createElement(
            'span',
            {
              style: textStyle,
              ref: function ref(text) {
                _this4._text = text;
              } },
            text
          )
        );
      } else {
        return _react2.default.createElement(
          'div',
          {
            className: 'uiMarquee ' + className + ' ',
            style: (0, _extends3.default)({}, style, { 'overflow': 'hidden', 'position': 'relative' }),
            ref: function ref(div) {
              _this4._div = div;
            },
            onMouseEnter: this.handleMouseEnter,
            onMouseLeave: this.handleMouseLeave },
          _react2.default.createElement(
            'span',
            {
              ref: function ref(text) {
                _this4._text = text;
              },
              style: textStyle
            },
            children
          )
        );
      }
    }
  }]);
  return Text;
}(_react.Component), _class2.propTypes = {
  style: _propTypes2.default.object,
  className: _propTypes2.default.string,
  hoverToStop: _propTypes2.default.bool,
  maxLine: _propTypes2.default.number,
  loop: _propTypes2.default.bool,
  leading: _propTypes2.default.number,
  trailing: _propTypes2.default.number,
  marquee: _propTypes2.default.bool,
  direction: _propTypes2.default.oneOf(['left', 'right', 'top', 'bottom']),
  step: _propTypes2.default.number
}, _class2.defaultProps = {
  style: {},
  className: "",
  marquee: false,
  hoverToStop: false,
  loop: false,
  leading: 0,
  trailing: 0,
  maxLine: null,
  direction: null,
  step: STEP
}, _temp), (_applyDecoratedDescriptor(_class.prototype, 'canMarquee', [_olaToolkit.bind], (0, _getOwnPropertyDescriptor2.default)(_class.prototype, 'canMarquee'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'handleMouseEnter', [_olaToolkit.bind], (0, _getOwnPropertyDescriptor2.default)(_class.prototype, 'handleMouseEnter'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'handleMouseLeave', [_olaToolkit.bind], (0, _getOwnPropertyDescriptor2.default)(_class.prototype, 'handleMouseLeave'), _class.prototype)), _class);
exports.default = Text;
module.exports = exports['default'];