import React, {Component} from 'react';
import {TimePicker, Button} from 'ola-ui';
import {bind} from 'ola-toolkit';

export default class Addon extends Component {

  state = {
    open: false
  };

  @bind
  handleOpenChange(open) {
    this.setState({open});
  }

  @bind
  handleClose() {
    this.setState({open: false});
  }


  render() {

    return (
      <TimePicker
        open={this.state.open}
        onOpenChange={this.handleOpenChange}
        addon={() => (
          <Button size="small" type="primary" onClick={this.handleClose}>
            Ok
          </Button>
        )}
      />
    );
  }

}
