import React, {Component} from 'react';
import {Transfer, Button} from 'ola-ui';
import {bind} from 'ola-toolkit';

export default class Adv extends Component {

  state = {
    mockData: [],
    targetKeys: [],
  };

  @bind
  getMock() {
    const targetKeys = [];
    const mockData = [];
    for (let i = 0; i < 20; i++) {
      const data = {
        key: i.toString(),
        title: `content${i + 1}`,
        description: `description of content${i + 1}`,
        chosen: Math.random() * 2 > 1,
      };
      if (data.chosen) {
        targetKeys.push(data.key);
      }
      mockData.push(data);
    }
    this.setState({mockData, targetKeys});
  }

  @bind
  handleChange(targetKeys) {
    this.setState({targetKeys});
  }

  @bind
  renderFooter() {
    return (
      <Button
        size="small"
        style={{float: 'right', margin: 5}}
        onClick={this.getMock}
      >
        reload
      </Button>
    );
  }

  componentDidMount() {
    this.getMock();
  }

  render() {
    return (
      <Transfer
        dataSource={this.state.mockData}
        showSearch
        listStyle={{
          width: 250,
          height: 300,
        }}
        operations={['to right', 'to left']}
        targetKeys={this.state.targetKeys}
        onChange={this.handleChange}
        render={item => `${item.title}-${item.description}`}
        footer={this.renderFooter}
      />
    );
  }

}
