import React, {Component} from 'react';
import {Upload, Icon, Message} from 'ola-ui';
import {bind} from 'ola-toolkit';

const Dragger = Upload.Dragger;

const props = {
  name: 'file',
  multiple: true,
  action: '//jsonplaceholder.typicode.com/posts/',
  onChange(info) {
    const status = info.file.status;
    if (status !== 'uploading') {
      console.log(info.file, info.fileList);
    }
    if (status === 'done') {
      Message.success(`${info.file.name} file uploaded successfully.`);
    } else if (status === 'error') {
      Message.error(`${info.file.name} file upload failed.`);
    }
  },
};

export default class Drag extends Component {

  render() {
    return (
      <Dragger {...props}>
        <p className="ant-upload-drag-icon">
          <Icon type="inbox"/>
        </p>
        <p className="ant-upload-text">Click or drag file to this area to upload</p>
        <p className="ant-upload-hint">Support for a single or bulk upload. Strictly prohibit from uploading company
          data or other band files</p>
      </Dragger>
    );
  }

}
