'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _getOwnPropertyDescriptor = require('babel-runtime/core-js/object/get-own-property-descriptor');

var _getOwnPropertyDescriptor2 = _interopRequireDefault(_getOwnPropertyDescriptor);

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _desc, _value, _class, _class2, _temp2;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _isVisibleWithOffset = require('./lib/is-visible-with-offset');

var _isVisibleWithOffset2 = _interopRequireDefault(_isVisibleWithOffset);

var _olaToolkit = require('ola-toolkit');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) {
  var desc = {};
  Object['ke' + 'ys'](descriptor).forEach(function (key) {
    desc[key] = descriptor[key];
  });
  desc.enumerable = !!desc.enumerable;
  desc.configurable = !!desc.configurable;

  if ('value' in desc || desc.initializer) {
    desc.writable = true;
  }

  desc = decorators.slice().reverse().reduce(function (desc, decorator) {
    return decorator(target, property, desc) || desc;
  }, desc);

  if (context && desc.initializer !== void 0) {
    desc.value = desc.initializer ? desc.initializer.call(context) : void 0;
    desc.initializer = undefined;
  }

  if (desc.initializer === void 0) {
    Object['define' + 'Property'](target, property, desc);
    desc = null;
  }

  return desc;
}

var containmentPropType = _propTypes2.default.any;

if (typeof window !== 'undefined') {
  containmentPropType = _propTypes2.default.instanceOf(window.Element);
}

var VisibilitySensor = (_class = (_temp2 = _class2 = function (_Component) {
  (0, _inherits3.default)(VisibilitySensor, _Component);

  function VisibilitySensor() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, VisibilitySensor);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = VisibilitySensor.__proto__ || (0, _getPrototypeOf2.default)(VisibilitySensor)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      isVisible: null,
      visibilityRect: {}
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(VisibilitySensor, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.node = _reactDom2.default.findDOMNode(this);
      if (this.props.active) {
        this.startWatching();
      }
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      this.stopWatching();
    }
  }, {
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      if (nextProps.active) {
        this.startWatching();
      } else {
        this.stopWatching();
      }
    }
  }, {
    key: 'getContainer',
    value: function getContainer() {
      return this.props.containment || window;
    }
  }, {
    key: 'addEventListener',
    value: function addEventListener(target, event, delay, throttle) {
      var _this2 = this;

      if (!this.debounceCheck) {
        this.debounceCheck = {};
      }

      var timeout = void 0;
      var func = void 0;

      var later = function later() {
        timeout = null;
        _this2.check();
      };

      if (throttle > -1) {
        func = function func() {
          if (!timeout) {
            timeout = setTimeout(later, throttle || 0);
          }
        };
      } else {
        func = function func() {
          clearTimeout(timeout);
          timeout = setTimeout(later, delay || 0);
        };
      }

      var info = {
        target: target,
        fn: func,
        getLastTimeout: function getLastTimeout() {
          return timeout;
        }
      };

      target.addEventListener(event, info.fn);
      this.debounceCheck[event] = info;
    }
  }, {
    key: 'startWatching',
    value: function startWatching() {
      if (this.debounceCheck || this.interval) {
        return;
      }

      if (this.props.intervalCheck) {
        this.interval = setInterval(this.check, this.props.intervalDelay);
      }

      if (this.props.scrollCheck) {
        this.addEventListener(this.getContainer(), 'scroll', this.props.scrollDelay, this.props.scrollThrottle);
      }

      if (this.props.resizeCheck) {
        this.addEventListener(window, 'resize', this.props.resizeDelay, this.props.resizeThrottle);
      }

      // if dont need delayed call, check on load ( before the first interval fires )
      !this.props.delayedCall && this.check();
    }
  }, {
    key: 'stopWatching',
    value: function stopWatching() {
      if (this.debounceCheck) {
        // clean up event listeners and their debounce callers
        for (var debounceEvent in this.debounceCheck) {
          if (this.debounceCheck.hasOwnProperty(debounceEvent)) {
            var debounceInfo = this.debounceCheck[debounceEvent];

            clearTimeout(debounceInfo.getLastTimeout());
            debounceInfo.target.removeEventListener(debounceEvent, debounceInfo.fn);

            this.debounceCheck[debounceEvent] = null;
          }
        }
      }
      this.debounceCheck = null;

      if (this.interval) {
        this.interval = clearInterval(this.interval);
      }
    }

    /**
     * Check if the element is within the visible viewport
     */

  }, {
    key: 'check',
    value: function check() {
      var el = this.node;
      var rect = void 0;
      var containmentRect = void 0;
      // if the component has rendered to null, dont update visibility
      if (!el) {
        return this.state;
      }

      rect = el.getBoundingClientRect();

      if (this.props.containment) {
        var containmentDOMRect = this.props.containment.getBoundingClientRect();
        containmentRect = {
          top: containmentDOMRect.top,
          left: containmentDOMRect.left,
          bottom: containmentDOMRect.bottom,
          right: containmentDOMRect.right
        };
      } else {
        containmentRect = {
          top: 0,
          left: 0,
          bottom: window.innerHeight || document.documentElement.clientHeight,
          right: window.innerWidth || document.documentElement.clientWidth
        };
      }

      // Check if visibility is wanted via offset?
      var offset = this.props.offset || {};
      var hasValidOffset = (typeof offset === 'undefined' ? 'undefined' : (0, _typeof3.default)(offset)) === 'object';
      if (hasValidOffset) {
        containmentRect.top += offset.top || 0;
        containmentRect.left += offset.left || 0;
        containmentRect.bottom -= offset.bottom || 0;
        containmentRect.right -= offset.right || 0;
      }

      var visibilityRect = {
        top: rect.top >= containmentRect.top,
        left: rect.left >= containmentRect.left,
        bottom: rect.bottom <= containmentRect.bottom,
        right: rect.right <= containmentRect.right
      };

      var isVisible = visibilityRect.top && visibilityRect.left && visibilityRect.bottom && visibilityRect.right;

      // check for partial visibility
      if (this.props.partialVisibility) {
        var partialVisible = rect.top <= containmentRect.bottom && rect.bottom >= containmentRect.top && rect.left <= containmentRect.right && rect.right >= containmentRect.left;

        // account for partial visibility on a single edge
        if (typeof this.props.partialVisibility === 'string') {
          partialVisible = visibilityRect[this.props.partialVisibility];
        }

        // if we have minimum top visibility set by props, lets check, if it meets the passed value
        // so if for instance element is at least 200px in viewport, then show it.
        isVisible = this.props.minTopValue ? partialVisible && rect.top <= containmentRect.bottom - this.props.minTopValue : partialVisible;
      }

      // Deprecated options for calculating offset.
      if (typeof offset.direction === 'string' && typeof offset.value === 'number') {
        console.warn('[notice] offset.direction and offset.value have been deprecated. They still work for now, but will be removed in next major version. Please upgrade to the new syntax: { %s: %d }', offset.direction, offset.value);

        isVisible = (0, _isVisibleWithOffset2.default)(offset, rect, containmentRect);
      }

      var state = this.state;
      // notify the parent when the value changes

      isVisible = isVisible && rect.bottom > rect.top && rect.right > rect.left;

      if (this.state.isVisible !== isVisible) {
        state = {
          isVisible: isVisible,
          visibilityRect: visibilityRect
        };
        this.setState(state);
        this.props.onChange(isVisible, visibilityRect);
      }

      return state;
    }
  }, {
    key: 'render',
    value: function render() {
      return _react2.default.Children.only(this.props.children);
    }
  }]);
  return VisibilitySensor;
}(_react.Component), _class2.propTypes = {
  onChange: _propTypes2.default.func.isRequired,
  active: _propTypes2.default.bool,
  partialVisibility: _propTypes2.default.oneOfType([_propTypes2.default.bool, _propTypes2.default.oneOf(['top', 'right', 'bottom', 'left'])]),
  delayedCall: _propTypes2.default.bool,
  offset: _propTypes2.default.oneOfType([_propTypes2.default.shape({
    top: _propTypes2.default.number,
    left: _propTypes2.default.number,
    bottom: _propTypes2.default.number,
    right: _propTypes2.default.number
  }),
  // deprecated offset property
  _propTypes2.default.shape({
    direction: _propTypes2.default.oneOf(['top', 'right', 'bottom', 'left']),
    value: _propTypes2.default.number
  })]),
  scrollCheck: _propTypes2.default.bool,
  scrollDelay: _propTypes2.default.number,
  scrollThrottle: _propTypes2.default.number,
  resizeCheck: _propTypes2.default.bool,
  resizeDelay: _propTypes2.default.number,
  resizeThrottle: _propTypes2.default.number,
  intervalCheck: _propTypes2.default.bool,
  intervalDelay: _propTypes2.default.number,
  containment: containmentPropType,
  children: _propTypes2.default.element,
  minTopValue: _propTypes2.default.number
}, _class2.defaultProps = {
  active: true,
  partialVisibility: true,
  minTopValue: 0,
  scrollCheck: false,
  scrollDelay: 250,
  scrollThrottle: -1,
  resizeCheck: false,
  resizeDelay: 250,
  resizeThrottle: -1,
  intervalCheck: true,
  intervalDelay: 100,
  delayedCall: false,
  offset: {},
  containment: null,
  children: _react2.default.createElement('span')
}, _temp2), (_applyDecoratedDescriptor(_class.prototype, 'check', [_olaToolkit.bind], (0, _getOwnPropertyDescriptor2.default)(_class.prototype, 'check'), _class.prototype)), _class);
exports.default = VisibilitySensor;
module.exports = exports['default'];